require 'rails_helper'

RSpec.feature "OwnerInitialization for Scenario1" do
  it_behaves_like "a workflow step", :owner_initialization do
    let(:workflow_instance_factory) { :workflow_instance_scenario1 }
    let :attributes do
      {
        initialization_check_done:    { type: :boolean },
        plan_date:    { type: :date },
        my_identifier:    { type: :string },
        window_from:    { type: :window_from},
        window_to:    { type: :window_to},
        number_of_visits:    { type: :integer },
        my_fraction:    { type: :float },
        my_explanation:    { type: :string },
      }
    end
  end
end

